%define major 0
%define libname %mklibname cdio-paranoia %{major}
%define libnamedev %mklibname -d cdio-paranoia
%define pkgver 10.2
%define filerel 0.93+1
%define relver %(echo %filerel|sed -e 's/\\+/\./')

Name: libcdio-paranoia
Version: %{pkgver}.%{relver}
Release: %mkrel 1
License: GPLv2+
Group: System/Libraries
URL: http://www.gnu.org/software/libcdio/
Source: ftp://ftp.gnu.org/pub/gnu/libcdio/%{name}-%{pkgver}+%{filerel}.tar.xz
Summary: CD-ROM reading library
BuildRequires: pkgconfig(libcdio) >= 0.83

%description 
This CDDA reader distribution ('libcdio-cdparanoia') reads audio from the
CDROM directly as data, with no analog step between, and writes the
data to a file or pipe as .wav, .aifc or as raw 16 bit linear PCM.

%package -n %{libname}
Summary: Libraries from %{name}
Group: System/Libraries
License: LGPLv2+

%description -n %{libname}
This CDDA reader distribution ('libcdio-cdparanoia') reads audio from the
CDROM directly as data, with no analog step between, and writes the
data to a file or pipe as .wav, .aifc or as raw 16 bit linear PCM.

%package -n %{libnamedev}
Summary: Devel files from %{name}
Group: Development/Libraries
Requires: %{libname} = %{version}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
This is the libraries, include files and other resources you can use
to incorporate %{name} into applications.

%prep
%setup -qn %{name}-%{pkgver}+%{filerel}

sed -i -e 's,-I${includedir},-I${includedir}/cdio,g' libcdio_paranoia.pc.in
sed -i -e 's,-I${includedir},-I${includedir}/cdio,g' libcdio_cdda.pc.in

%build
export LDFLAGS="$ldflags -ltinfo -lrt"

autoreconf -fi
%configure2_5x --without-versioned-libs \
	--disable-dependency-tracking --disable-static
%make

%install
rm -rf %buildroot
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

mv %{buildroot}%{_mandir}/jp %{buildroot}%{_mandir}/ja

cp -a %{buildroot}%{_includedir}/cdio/paranoia/*.h %{buildroot}%{_includedir}/cdio/

%files
%{_bindir}/cd-paranoia
%{_mandir}/man1/cd-paranoia.1.*
%lang(ja) %{_mandir}/ja/man1/cd-paranoia.1.*

%files -n %{libname}
%{_libdir}/libcdio_cdda.so.%{major}
%{_libdir}/libcdio_cdda.so.%{major}.*
%{_libdir}/libcdio_paranoia.so.%{major}
%{_libdir}/libcdio_paranoia.so.%{major}.*

%files -n %{libnamedev}
%{_includedir}/cdio/*.h
%{_includedir}/cdio/paranoia
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Dec 13 2014 bb <bb> 10.2.0.90.1-1pclos2014
- import this crapola
- hack the library major
